## ros-iron-sensor-msgs 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(sensor_msgs)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/BatteryState.msg"
  "msg/CameraInfo.msg"
  "msg/ChannelFloat32.msg"
  "msg/CompressedImage.msg"
  "msg/FluidPressure.msg"
  "msg/Illuminance.msg"
  "msg/Image.msg"
  "msg/Imu.msg"
  "msg/JointState.msg"
  "msg/Joy.msg"
  "msg/JoyFeedback.msg"
  "msg/JoyFeedbackArray.msg"
  "msg/LaserEcho.msg"
  "msg/LaserScan.msg"
  "msg/MagneticField.msg"
  "msg/MultiDOFJointState.msg"
  "msg/MultiEchoLaserScan.msg"
  "msg/NavSatFix.msg"
  "msg/NavSatStatus.msg"
  "msg/PointCloud.msg"
  "msg/PointCloud2.msg"
  "msg/PointField.msg"
  "msg/Range.msg"
  "msg/RegionOfInterest.msg"
  "msg/RelativeHumidity.msg"
  "msg/Temperature.msg"
  "msg/TimeReference.msg"
)
set(srv_files
  "srv/SetCameraInfo.srv"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs
  ADD_LINTER_TESTS
)

rosidl_get_typesupport_target(cpp_typesupport_target "${PROJECT_NAME}" "rosidl_typesupport_cpp")

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

if(cpp_typesupport_target)
  add_library(${PROJECT_NAME}_library INTERFACE)
  target_include_directories(${PROJECT_NAME}_library INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
  target_link_libraries(${PROJECT_NAME}_library INTERFACE
  "${cpp_typesupport_target}")

  install(DIRECTORY include/
    DESTINATION include/${PROJECT_NAME}
  )
  install(
    TARGETS ${PROJECT_NAME}_library EXPORT export_${PROJECT_NAME}
  )

  # Export old-style CMake variables
  ament_export_include_directories("include/${PROJECT_NAME}")

  # Export modern CMake targets
  ament_export_targets(export_${PROJECT_NAME})

  if(BUILD_TESTING)
    ament_add_gtest(test_sensor_msgs
      test/test_image_encodings.cpp
      test/test_pointcloud_conversion.cpp
      test/test_pointcloud_iterator.cpp)
    target_link_libraries(test_sensor_msgs ${PROJECT_NAME}_library)
  endif()
endif()

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-sensor-msgs (5.0.0-2jammy) jammy; urgency=high

  * update YUV format codes and documentation (#214 <https://github.com/ros2/common_interfaces/issues/214>)
  * sensor_msgs/Range lacks variance field (#181 <https://github.com/ros2/common_interfaces/issues/181>)
  * Contributors: Christian Rauch, El Jawad Alaa

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-sensor-msgs (4.7.0-2jammy) jammy; urgency=high

  * Update common_interfaces to C++17. (#215 <https://github.com/ros2/common_interfaces/issues/215>)
  * [rolling] Update maintainers - 2022-11-07 (#210 <https://github.com/ros2/common_interfaces/issues/210>)
  * Replaced non-ASCII dash symbol with ASCII dash (#208 <https://github.com/ros2/common_interfaces/issues/208>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Zatevakhin

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-sensor-msgs (4.6.1-2jammy) jammy; urgency=high

  * Add NV21 and NV24 to colour formats (#205 <https://github.com/ros2/common_interfaces/issues/205>)
  * Update BatteryState.msg (#206 <https://github.com/ros2/common_interfaces/issues/206>)
  * Contributors: Borong Yuan, Geoffrey Biggs

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.6.0-2jammy) jammy; urgency=high

  * use regex for matching cv types (#202 <https://github.com/ros2/common_interfaces/issues/202>)
  * Fix outdated file path for image_encodings (#200 <https://github.com/ros2/common_interfaces/issues/200>)
  * Use uint32_t for pointcloud2 resize method (#195 <https://github.com/ros2/common_interfaces/issues/195>)
  * Retain width and height after resize for master (#193 <https://github.com/ros2/common_interfaces/issues/193>)
  * Contributors: Kenji Brameld, Tianyu Li

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.5.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.4.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.3.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.2.1-2jammy) jammy; urgency=high

  * Move the find_package statements for BUILD_TESTING  (#186 <https://github.com/ros2/common_interfaces/issues/186>)
  * Contributors: Michael Jeronimo

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.2.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.1.1-2jammy) jammy; urgency=high

  * Feedback on conditional sensor_msgs_library target (#1 <https://github.com/ros2/common_interfaces/issues/1>) (#183 <https://github.com/ros2/common_interfaces/issues/183>)
  * [Fix] Fix image_encodings.hpp's URL in README (#184 <https://github.com/ros2/common_interfaces/issues/184>)
  * [Fix] Fix fill_image.hpp's URL in README (#182 <https://github.com/ros2/common_interfaces/issues/182>)
  * Add sensor_msgs_library target and install headers to include/${PROJECT_NAME} (#178 <https://github.com/ros2/common_interfaces/issues/178>)
  * Contributors: Homalozoa X, Pablo Garrido, Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Fri, 25 Mar 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.1.0-2jammy) jammy; urgency=high

  * Interface packages should fully <depend> on the interface packages that they depend on (#173 <https://github.com/ros2/common_interfaces/issues/173>)
  * Add YUV420 and YUV444 to image encodings (#172 <https://github.com/ros2/common_interfaces/issues/172>)
  * Contributors: Grey, Hemal Shah

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-sensor-msgs (4.0.0-2jammy) jammy; urgency=high

  * Cleanup mislabeled BSD license (#83 <https://github.com/ros2/common_interfaces/issues/83>)
  * Update maintainers to Geoffrey Biggs and Tully Foote (#163 <https://github.com/ros2/common_interfaces/issues/163>)
  * Fix rosdoc2 warnings in sensor_msgs. (#162 <https://github.com/ros2/common_interfaces/issues/162>)
  * Add equidistant distortion model (#160 <https://github.com/ros2/common_interfaces/issues/160>)
  * Contributors: Audrow Nash, Chris Lalancette, Martin Günther, Tully Foote

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-iron-sensor-msgs (3.0.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 23 Aug 2021 16:00:00 -0000

ros-iron-sensor-msgs (2.3.0-2jammy) jammy; urgency=high

  * Use rosidl_get_typesupport_target() (#156 <https://github.com/ros2/common_interfaces/issues/156>)
  * Update CompressedImage documentation: add 'tiff' as a supported format (#154 <https://github.com/ros2/common_interfaces/issues/154>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-sensor-msgs (2.2.3-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 26 Apr 2021 16:00:00 -0000

ros-iron-sensor-msgs (2.2.2-2jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#149 <https://github.com/ros2/common_interfaces/issues/149>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#145 <https://github.com/ros2/common_interfaces/issues/145>)
  * Contributors: Chris Lalancette, shonigmann

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-sensor-msgs (2.2.1-2jammy) jammy; urgency=high

  * Fix PointCloud2Iterator namespacing in docs (#139 <https://github.com/ros2/common_interfaces/issues/139>)
  * Contributors: Andre Nguyen

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000



=== debian/control ===
Source: ros-iron-sensor-msgs
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rosidl-cmake <!nocheck>, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: A package containing some sensor data related message and service definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-sensor-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
